<?php
class ManagedWidgetAreaDecorator extends DataObjectDecorator {

	function extraStatics() {
		return array(
			'db' => array(
		),
			'has_one' => array(
				"WidgetArea" => "WidgetArea",
		),
		);
	}

	public function updateCMSFields(FieldSet &$fields) {
		$fields->addFieldToTab("Root.Content.ManagedWidgets", new WidgetAreaEditor("WidgetArea"));
	}

	function SidebarWidgets() {
		switch ($this->owner->WidgetAreaOwner) {
			case 'Managed':
				$SelectedWidgetsHolder = $this->owner->ManagedWidgetsAreaHolder();
				if ($SelectedWidgetsHolder->ID) {
					return $SelectedWidgetsHolder->WidgetArea();
				} else if ($this->owner->Parent()->exists()) {
					return $this->owner->Parent()->SidebarWidgets();
				} else {
					return;
				}
				break;
			case 'Self':
				return $this->owner->WidgetArea();
				break;
			case 'None':
				return;
				break;

		}
	}


}
?>